<?php
/**
 * UserApiTest
 * PHP version 5
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * TextMagic
 *
 * TextMagic REST API
 *
 * OpenAPI spec version: 2
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 * Swagger Codegen version: 2.4.7
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Please update the test case below to test the endpoint.
 */

namespace text-magic;

use \text-magic\Configuration;
use \text-magic\ApiException;
use \text-magic\ObjectSerializer;

/**
 * UserApiTest Class Doc Comment
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */
class UserApiTest extends \PHPUnit_Framework_TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for deleteAvatar
     *
     * Delete an avatar for the current user.\\.
     *
     */
    public function testDeleteAvatar()
    {
    }

    /**
     * Test case for getCurrentUser
     *
     * Get current user info..
     *
     */
    public function testGetCurrentUser()
    {
    }

    /**
     * Test case for getDisallowedRules
     *
     * Get an array of all rules that are disallowed to the current account..
     *
     */
    public function testGetDisallowedRules()
    {
    }

    /**
     * Test case for updateCurrentUser
     *
     * Update current user info..
     *
     */
    public function testUpdateCurrentUser()
    {
    }

    /**
     * Test case for uploadAvatar
     *
     * Add an avatar for the current user..
     *
     */
    public function testUploadAvatar()
    {
    }
}
